#!/bin/bash
######### Software Disclaimer #############
## This software is only for academia users. For commercial users, please contact Prof. Jasmine Zhou (xjzhou@mednet.ucla.edu)

lambda=0.5 # predefined lambda

mkdir -p output

../src/CalcReadLikelihood ./input/example.reads ./input/example.markers > output/example.likelihood

python ../src/CancerDetector.py ./output/example.likelihood $lambda > output/example.tumor_burden

cat output/example.tumor_burden

cmp -s output/example.likelihood output/example.likelihood.reference && echo "CalcReadLikelihood Test run passed" || echo "CalcReadLikelihood Test run failed"
cmp -s output/example.tumor_burden output/example.tumor_burden.reference && echo "CancerDetector.py Test run passed" || echo "CancerDetector.py Test run failed"
